package com.zj365.health.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.GoodsLogisticsBean
import com.xty.network.model.RespBody

class GoodsLogisticsVm : BaseVm() {

    val goodsLogisticsLiveData by lazy { MutableLiveData<RespBody<GoodsLogisticsBean>> ()}
    fun getShippingTracking(orderId:Long){
        startHttp {
            val body = apiInterface().getLogistics(orderId)
            body.getCodeStatus(goodsLogisticsLiveData, nowData)
        }
    }
}